import os, sys
import iov,sqlitedata
import cherrypy

class Server(object):
    """ Top level page
    """
    @cherrypy.expose
    def index(self):
        return "This is Cond DB Application Server"

root = Server()
currentdir=os.path.dirname(os.path.abspath(__file__))
authdir=os.path.join(currentdir,'..','auth')
root.iov = iov.IOV(authdir)
root.SQLiteData = sqlitedata.SQLiteData()
cherrypy.tree.mount(root)

if __name__ == '__main__':
    import os.path
    cherrypy.config.update(os.path.join(os.path.dirname(os.path.abspath(__file__)),'server.conf')) 
    # Start the CherryPy server.
    cherrypy.quickstart(root,config=os.path.join(os.path.dirname(os.path.abspath(__file__)),'server.conf'))
    #cherrypy.server.quickstart()
    #cherrypy.engine.start()
    

