import os
localDir = os.path.dirname(__file__)
dataDir = os.path.join(os.getcwd(), localDir)

import cherrypy
from cherrypy.lib import static
from cherrypy import _cpconfig

class SQLiteData(object):

    @cherrypy.expose
    def index(self):
        return """
            <html><body>
            <form method=post action="upload" method="post" enctype="multipart/form-data">
                Upload a file: <input type="file" name=myFile><br>
                <input type="submit"/>
            </form>
            </body></html>
        """
    
    @cherrypy.expose
    def upload(self,myFile):
        out = """<html>
        <body>
            myFile length: %s<br />
            myFile filename: %s<br />
            myFile mime-type: %s
        </body>
        </html>"""
        size = 0
        serverconfig=os.path.join(os.path.dirname(os.path.abspath(__file__)),'server.conf')
        a=cherrypy._cpconfig.as_dict(serverconfig)
        datadir='/tmp'
        if a.has_key('/SQLiteData/upload/data') and a['/SQLiteData/upload/data'].has_key('tools.staticdir.dir'):
            datadir=a['/SQLiteData/upload/data']['tools.staticdir.dir']
        print 'datadir',datadir
        f = open(os.path.join(datadir,myFile.filename), 'wb')
        while True:
            data = myFile.file.read(8192)
            if not data:
                break
            f.write(data)
            size += len(data)
        f.close()    
        return out % (size, myFile.filename, myFile.type)
    
    @cherrypy.expose
    def download(self):
        path = os.path.join(absDir, 'pdf_file.pdf')
        return static.serve_file(path, 'application/x-download',
                                 'attachment', os.path.basename(path))
cherrypy.tree.mount(SQLiteData())

if __name__ == '__main__':
    import os.path
    # Start the CherryPy server.
    cherrypy.config.update(os.path.join(os.path.dirname(__file__), 'server.conf'))
    cherrypy.server.quickstart()
    cherrypy.engine.start()
